{#
/**
 * @file
 * Theme override to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 */
#}

{#
We call a macro which calls itself to render the full tree.
@see http://twig.sensiolabs.org/doc/tags/macro.html
#}
{{ _self.build_menu(items, attributes, 0) }}

{% macro build_menu(items, attributes, menu_level) %}
  {% import "themes/contrib/bootstrap5/templates/navigation/menu--main.html.twig" as menus %}
  {% if items %}
    {%
      set ul_classes = [
      menu_level == 0 ? 'navbar-nav justify-content-start flex-wrap',
      menu_level > 0 ? 'dropdown-menu',
      'nav-level-' ~ menu_level,
    ]
    %}
    <ul{{ attributes.addClass(ul_classes) }}>
      {% for item in items %}
        {{ menus.add_link(item, attributes.removeClass(ul_classes), menu_level) }}
      {% endfor %}
    </ul>
  {% endif %}
{% endmacro %}
